View Issue Details

IDProjectCategoryView StatusLast Update
0000607OpenMPT[All Projects] User Interfacepublic2014-12-13 23:30
ReporterSaga MusixAssigned ToSaga Musix 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionOpenMPT 1.24.01.00 / libopenmpt 0.2-beta8 (upgrade first)Fixed in VersionOpenMPT 1.24.01.00 / libopenmpt 0.2-beta8 (upgrade first) 
Summary0000607: First start dialog
Description

It would be nice to have a (non-modal) first start dialog which offers to customize some options. This way, the installer and zip package could be unified regarding first-time setup capabilities:

  • Update period (instead of asking the user if OpenMPT should enable updates on first launch)
  • Keyboard style (chromatic / IT / FT2)
  • Big font?
  • File associations?
  • Scan for VST plugins?
TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2014-12-13 23:30

administrator   ~0001877

Welcome dialog has been added. File associations can still only be done with the installer, but this might be fixed at a later point.

Issue History

Date Modified Username Field Change
2014-11-13 17:05 Saga Musix New Issue
2014-11-13 17:06 Saga Musix Description Updated View Revisions
2014-11-15 11:43 Saga Musix Description Updated View Revisions
2014-11-17 20:59 Saga Musix Assigned To => Saga Musix
2014-11-17 20:59 Saga Musix Status new => assigned
2014-12-13 23:30 Saga Musix Note Added: 0001877
2014-12-13 23:30 Saga Musix Status assigned => resolved
2014-12-13 23:30 Saga Musix Resolution open => fixed
2014-12-13 23:30 Saga Musix Fixed in Version => OpenMPT 1.24.01.00 / libopenmpt 0.2-beta8 (upgrade first)
2014-12-13 23:30 Saga Musix Target Version => OpenMPT 1.24.01.00 / libopenmpt 0.2-beta8 (upgrade first)